Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.transport
Class SshMsgDisconnect

    java.lang.Object
      com.sshtools.j2ssh.transport.SshMessage
          com.sshtools.j2ssh.transport.SshMsgDisconnect

public class SshMsgDisconnect
extends SshMessage

DOCUMENT ME!

Field Summary
`static int` | `AUTH_CANCELLED_BY_USER` DOCUMENT ME!
`static int` | `BY_APPLICATION` DOCUMENT ME!
`static int` | `COMPRESSION_ERROR` DOCUMENT ME!
`static int` | `CONNECTION_LOST` DOCUMENT ME!
`static int` | `HOST_KEY_NOT_VERIFIABLE` DOCUMENT ME!
`static int` | `HOST_NOT_ALLOWED` DOCUMENT ME!
`static int` | `ILLEGAL_USER_NAME` DOCUMENT ME!
`static int` | `KEY_EXCHANGE_FAILED` DOCUMENT ME!
`static int` | `MAC_ERROR` DOCUMENT ME!
`static int` | `NO_MORE_AUTH_METHODS_AVAILABLE` DOCUMENT ME!
`static int` | `PROTOCOL_ERROR` DOCUMENT ME!
`static int` | `PROTOCOL_VERSION_NOT_SUPPORTED` DOCUMENT ME!
`static int` | `RESERVED` DOCUMENT ME!
`static int` | `SERVICE_NOT_AVAILABLE` DOCUMENT ME!
`protected static int` | `SSH_MSG_DISCONNECT` DOCUMENT ME!
`static int` | `TOO_MANY_CONNECTIONS` DOCUMENT ME!

Constructor Summary
`SshMsgDisconnect()` Creates a new SshMsgDisconnect object.
`SshMsgDisconnect(int reasonCode, java.lang.String desc, java.lang.String langTag)` Creates a new SshMsgDisconnect object.

Method Summary
`protected void` | `constructByteArray(ByteArrayWriter baw)` DOCUMENT ME!
`protected void` | `constructMessage(ByteArrayReader bar)` DOCUMENT ME!
`java.lang.String` | `getDescription()` DOCUMENT ME!
`java.lang.String` | `getLanguageTag()` DOCUMENT ME!
`java.lang.String` | `getMessageName()` DOCUMENT ME!
`int` | `getReasonCode()` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.transport.SshMessage
`fromByteArray, getMessageId, getMessageId, toByteArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SSH_MSG_DISCONNECT

    protected static final int SSH_MSG_DISCONNECT

  DOCUMENT ME!

  See Also:
    Constant Field Values

### HOST_NOT_ALLOWED

    public static final int HOST_NOT_ALLOWED

  DOCUMENT ME!

  See Also:
    Constant Field Values

### PROTOCOL_ERROR

    public static final int PROTOCOL_ERROR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### KEY_EXCHANGE_FAILED

    public static final int KEY_EXCHANGE_FAILED

  DOCUMENT ME!

  See Also:
    Constant Field Values

### RESERVED

    public static final int RESERVED

  DOCUMENT ME!

  See Also:
    Constant Field Values

### MAC_ERROR

    public static final int MAC_ERROR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### COMPRESSION_ERROR

    public static final int COMPRESSION_ERROR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### SERVICE_NOT_AVAILABLE

    public static final int SERVICE_NOT_AVAILABLE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### PROTOCOL_VERSION_NOT_SUPPORTED

    public static final int PROTOCOL_VERSION_NOT_SUPPORTED

  DOCUMENT ME!

  See Also:
    Constant Field Values

### HOST_KEY_NOT_VERIFIABLE

    public static final int HOST_KEY_NOT_VERIFIABLE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### CONNECTION_LOST

    public static final int CONNECTION_LOST

  DOCUMENT ME!

  See Also:
    Constant Field Values

### BY_APPLICATION

    public static final int BY_APPLICATION

  DOCUMENT ME!

  See Also:
    Constant Field Values

### TOO_MANY_CONNECTIONS

    public static final int TOO_MANY_CONNECTIONS

  DOCUMENT ME!

  See Also:
    Constant Field Values

### AUTH_CANCELLED_BY_USER

    public static final int AUTH_CANCELLED_BY_USER

  DOCUMENT ME!

  See Also:
    Constant Field Values

### NO_MORE_AUTH_METHODS_AVAILABLE

    public static final int NO_MORE_AUTH_METHODS_AVAILABLE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ILLEGAL_USER_NAME

    public static final int ILLEGAL_USER_NAME

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### SshMsgDisconnect

    public SshMsgDisconnect(int reasonCode,
                            java.lang.String desc,
                            java.lang.String langTag)

  Creates a new SshMsgDisconnect object.

Parameters:
  `reasonCode` - DOCUMENT ME!
  `desc` - DOCUMENT ME!
  `langTag` - DOCUMENT ME!

### SshMsgDisconnect

    public SshMsgDisconnect()

  Creates a new SshMsgDisconnect object.

Method Detail

### getDescription

    public java.lang.String getDescription()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getLanguageTag

    public java.lang.String getLanguageTag()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getMessageName

    public java.lang.String getMessageName()

  DOCUMENT ME!

  Specified by:
    `getMessageName` in class `SshMessage`
  Returns:
    DOCUMENT ME!

### getReasonCode

    public int getReasonCode()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### constructByteArray

    protected void constructByteArray(ByteArrayWriter baw)
                               throws InvalidMessageException

  DOCUMENT ME!

  Specified by:
    `constructByteArray` in class `SshMessage`
  Parameters:
    `baw` - DOCUMENT ME!
  Throws:
    `InvalidMessageException` - DOCUMENT ME!

### constructMessage

    protected void constructMessage(ByteArrayReader bar)
                             throws InvalidMessageException

  DOCUMENT ME!

  Specified by:
    `constructMessage` in class `SshMessage`
  Parameters:
    `bar` - DOCUMENT ME!
  Throws:
    `InvalidMessageException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD